summaryrefslogtreecommitdiff
path: root/recipes-connectivity/openssh/openssh/openssh
diff options
context:
space:
mode:
authorStefan Agner <stefan.agner@toradex.com>2016-06-28 18:17:25 -0700
committerMax Krummenacher <max.krummenacher@toradex.com>2016-06-30 13:42:38 +0200
commit7baec4ac72b8575a4b246d9a5e4b1aeca68aef86 (patch)
tree060214e3393b61fe18f0f10c275bcac4a3f6c404 /recipes-connectivity/openssh/openssh/openssh
parent5690010cd82a63a7d0388ead9f06a27563f82102 (diff)
Revert "openssh: backport version 6.8 from master"
Remove the locally backported 6.8 version since bitbake anyway use the newer 7.1 version from OpenEmbedded core. This reverts commit 8d0349a08564a8044bad7f0f3ff0982e6d5a6aa2. Signed-off-by: Stefan Agner <stefan.agner@toradex.com> Acked-by: Max Krummenacher <max.krummenacher@toradex.com>
Diffstat (limited to 'recipes-connectivity/openssh/openssh/openssh')
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/add-test-support-for-busybox.patch69
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/init115
-rwxr-xr-xrecipes-connectivity/openssh/openssh/openssh/run-ptest7
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/ssh_config48
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/sshd10
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/sshd.socket10
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/sshd@.service11
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/sshd_config133
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/sshdgenkeys.service11
-rw-r--r--recipes-connectivity/openssh/openssh/openssh/volatiles.99_sshd2
10 files changed, 0 insertions, 416 deletions
diff --git a/recipes-connectivity/openssh/openssh/openssh/add-test-support-for-busybox.patch b/recipes-connectivity/openssh/openssh/openssh/add-test-support-for-busybox.patch
deleted file mode 100644
index adc25c6..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/add-test-support-for-busybox.patch
+++ /dev/null
@@ -1,69 +0,0 @@
-Adjust test cases to work with busybox.
-
-- Replace dd parameter "obs" with "bs".
-- Replace "head -<num>" with "head -n <num>".
-
-Signed-off-by: Maxin B. John <maxin.john@enea.com>
-Upstream-Status: Pending
-
-Index: openssh-6.8p1/regress/cipher-speed.sh
-===================================================================
---- openssh-6.8p1.orig/regress/cipher-speed.sh
-+++ openssh-6.8p1/regress/cipher-speed.sh
-@@ -17,7 +17,7 @@ for c in `${SSH} -Q cipher`; do n=0; for
- printf "%-60s" "$c/$m:"
- ( ${SSH} -o 'compression no' \
- -F $OBJ/ssh_proxy -2 -m $m -c $c somehost \
-- exec sh -c \'"dd of=/dev/null obs=32k"\' \
-+ exec sh -c \'"dd of=/dev/null bs=32k"\' \
- < ${DATA} ) 2>&1 | getbytes
-
- if [ $? -ne 0 ]; then
-@@ -42,7 +42,7 @@ for c in $ciphers; do
- printf "%-60s" "$c:"
- ( ${SSH} -o 'compression no' \
- -F $OBJ/ssh_proxy -1 -c $c somehost \
-- exec sh -c \'"dd of=/dev/null obs=32k"\' \
-+ exec sh -c \'"dd of=/dev/null bs=32k"\' \
- < ${DATA} ) 2>&1 | getbytes
- if [ $? -ne 0 ]; then
- fail "ssh -1 failed with cipher $c"
-Index: openssh-6.8p1/regress/transfer.sh
-===================================================================
---- openssh-6.8p1.orig/regress/transfer.sh
-+++ openssh-6.8p1/regress/transfer.sh
-@@ -15,7 +15,7 @@ for p in ${SSH_PROTOCOLS}; do
- for s in 10 100 1k 32k 64k 128k 256k; do
- trace "proto $p dd-size ${s}"
- rm -f ${COPY}
-- dd if=$DATA obs=${s} 2> /dev/null | \
-+ dd if=$DATA bs=${s} 2> /dev/null | \
- ${SSH} -q -$p -F $OBJ/ssh_proxy somehost "cat > ${COPY}"
- if [ $? -ne 0 ]; then
- fail "ssh cat $DATA failed"
-Index: openssh-6.8p1/regress/yes-head.sh
-===================================================================
---- openssh-6.8p1.orig/regress/yes-head.sh
-+++ openssh-6.8p1/regress/yes-head.sh
-@@ -4,7 +4,7 @@
- tid="yes pipe head"
-
- for p in ${SSH_PROTOCOLS}; do
-- lines=`${SSH} -$p -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -2000"' | (sleep 3 ; wc -l)`
-+ lines=`${SSH} -$p -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -n 2000"' | (sleep 3 ; wc -l)`
- if [ $? -ne 0 ]; then
- fail "yes|head test failed"
- lines = 0;
-Index: openssh-6.8p1/regress/key-options.sh
-===================================================================
---- openssh-6.8p1.orig/regress/key-options.sh
-+++ openssh-6.8p1/regress/key-options.sh
-@@ -54,7 +54,7 @@ for p in ${SSH_PROTOCOLS}; do
- fi
-
- sed 's/.*/from="'"$f"'" &/' $origkeys >$authkeys
-- from=`head -1 $authkeys | cut -f1 -d ' '`
-+ from=`head -n 1 $authkeys | cut -f1 -d ' '`
- verbose "key option proto $p $from"
- r=`${SSH} -$p -q -F $OBJ/ssh_proxy somehost 'echo true'`
- if [ "$r" = "true" ]; then
diff --git a/recipes-connectivity/openssh/openssh/openssh/init b/recipes-connectivity/openssh/openssh/openssh/init
deleted file mode 100644
index 70d4a34..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/init
+++ /dev/null
@@ -1,115 +0,0 @@
-#! /bin/sh
-set -e
-
-PIDFILE=/var/run/sshd.pid
-
-# source function library
-. /etc/init.d/functions
-
-# /etc/init.d/ssh: start and stop the OpenBSD "secure shell" daemon
-
-test -x /usr/sbin/sshd || exit 0
-( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0
-
-# /etc/default/ssh may set SYSCONFDIR and SSHD_OPTS
-if test -f /etc/default/ssh; then
- . /etc/default/ssh
-fi
-
-[ -z "$SYSCONFDIR" ] && SYSCONFDIR=/etc/ssh
-mkdir -p $SYSCONFDIR
-
-HOST_KEY_RSA=$SYSCONFDIR/ssh_host_rsa_key
-HOST_KEY_DSA=$SYSCONFDIR/ssh_host_dsa_key
-HOST_KEY_ECDSA=$SYSCONFDIR/ssh_host_ecdsa_key
-HOST_KEY_ED25519=$SYSCONFDIR/ssh_host_ed25519_key
-
-check_for_no_start() {
- # forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
- if [ -e $SYSCONFDIR/sshd_not_to_be_run ]; then
- echo "OpenBSD Secure Shell server not in use ($SYSCONFDIR/sshd_not_to_be_run)"
- exit 0
- fi
-}
-
-check_privsep_dir() {
- # Create the PrivSep empty dir if necessary
- if [ ! -d /var/run/sshd ]; then
- mkdir /var/run/sshd
- chmod 0755 /var/run/sshd
- fi
-}
-
-check_config() {
- /usr/sbin/sshd -t || exit 1
-}
-
-check_keys() {
- # create keys if necessary
- if [ ! -f $HOST_KEY_RSA ]; then
- echo " generating ssh RSA key..."
- ssh-keygen -q -f $HOST_KEY_RSA -N '' -t rsa
- fi
- if [ ! -f $HOST_KEY_ECDSA ]; then
- echo " generating ssh ECDSA key..."
- ssh-keygen -q -f $HOST_KEY_ECDSA -N '' -t ecdsa
- fi
- if [ ! -f $HOST_KEY_DSA ]; then
- echo " generating ssh DSA key..."
- ssh-keygen -q -f $HOST_KEY_DSA -N '' -t dsa
- fi
- if [ ! -f $HOST_KEY_ED25519 ]; then
- echo " generating ssh ED25519 key..."
- ssh-keygen -q -f $HOST_KEY_ED25519 -N '' -t ed25519
- fi
-}
-
-export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
-
-case "$1" in
- start)
- check_for_no_start
- echo "Starting OpenBSD Secure Shell server: sshd"
- check_keys
- check_privsep_dir
- start-stop-daemon -S -p $PIDFILE -x /usr/sbin/sshd -- $SSHD_OPTS
- echo "done."
- ;;
- stop)
- echo -n "Stopping OpenBSD Secure Shell server: sshd"
- start-stop-daemon -K -p $PIDFILE -x /usr/sbin/sshd
- echo "."
- ;;
-
- reload|force-reload)
- check_for_no_start
- check_keys
- check_config
- echo -n "Reloading OpenBSD Secure Shell server's configuration"
- start-stop-daemon -K -p $PIDFILE -s 1 -x /usr/sbin/sshd
- echo "."
- ;;
-
- restart)
- check_keys
- check_config
- echo -n "Restarting OpenBSD Secure Shell server: sshd"
- start-stop-daemon -K -p $PIDFILE --oknodo -x /usr/sbin/sshd
- check_for_no_start
- check_privsep_dir
- sleep 2
- start-stop-daemon -S -p $PIDFILE -x /usr/sbin/sshd -- $SSHD_OPTS
- echo "."
- ;;
-
- status)
- status /usr/sbin/sshd
- exit $?
- ;;
-
- *)
- echo "Usage: /etc/init.d/ssh {start|stop|status|reload|force-reload|restart}"
- exit 1
-esac
-
-exit 0
diff --git a/recipes-connectivity/openssh/openssh/openssh/run-ptest b/recipes-connectivity/openssh/openssh/openssh/run-ptest
deleted file mode 100755
index 3e725cf..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/run-ptest
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-export TEST_SHELL=sh
-
-cd regress
-make -k .OBJDIR=`pwd` .CURDIR=`pwd` tests \
- | sed -e 's/^skipped/SKIP: /g' -e 's/^ok /PASS: /g' -e 's/^failed/FAIL: /g'
diff --git a/recipes-connectivity/openssh/openssh/openssh/ssh_config b/recipes-connectivity/openssh/openssh/openssh/ssh_config
deleted file mode 100644
index 9e91915..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/ssh_config
+++ /dev/null
@@ -1,48 +0,0 @@
-# $OpenBSD: ssh_config,v 1.28 2013/09/16 11:35:43 sthen Exp $
-
-# This is the ssh client system-wide configuration file. See
-# ssh_config(5) for more information. This file provides defaults for
-# users, and the values can be changed in per-user configuration files
-# or on the command line.
-
-# Configuration data is parsed as follows:
-# 1. command line options
-# 2. user-specific file
-# 3. system-wide file
-# Any configuration value is only changed the first time it is set.
-# Thus, host-specific definitions should be at the beginning of the
-# configuration file, and defaults at the end.
-
-# Site-wide defaults for some commonly used options. For a comprehensive
-# list of available options, their meanings and defaults, please see the
-# ssh_config(5) man page.
-
-Host *
- ForwardAgent yes
- ForwardX11 yes
-# RhostsRSAAuthentication no
-# RSAAuthentication yes
-# PasswordAuthentication yes
-# HostbasedAuthentication no
-# GSSAPIAuthentication no
-# GSSAPIDelegateCredentials no
-# BatchMode no
-# CheckHostIP yes
-# AddressFamily any
-# ConnectTimeout 0
-# StrictHostKeyChecking ask
-# IdentityFile ~/.ssh/identity
-# IdentityFile ~/.ssh/id_rsa
-# IdentityFile ~/.ssh/id_dsa
-# Port 22
-# Protocol 2,1
-# Cipher 3des
-# Ciphers aes128-ctr,aes192-ctr,aes256-ctr,arcfour256,arcfour128,aes128-cbc,3des-cbc
-# MACs hmac-md5,hmac-sha1,umac-64@openssh.com,hmac-ripemd160
-# EscapeChar ~
-# Tunnel no
-# TunnelDevice any:any
-# PermitLocalCommand no
-# VisualHostKey no
-# ProxyCommand ssh -q -W %h:%p gateway.example.com
-# RekeyLimit 1G 1h
diff --git a/recipes-connectivity/openssh/openssh/openssh/sshd b/recipes-connectivity/openssh/openssh/openssh/sshd
deleted file mode 100644
index 4882e58..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/sshd
+++ /dev/null
@@ -1,10 +0,0 @@
-#%PAM-1.0
-
-auth include common-auth
-account required pam_nologin.so
-account include common-account
-password include common-password
-session optional pam_keyinit.so force revoke
-session include common-session
-session required pam_loginuid.so
-
diff --git a/recipes-connectivity/openssh/openssh/openssh/sshd.socket b/recipes-connectivity/openssh/openssh/openssh/sshd.socket
deleted file mode 100644
index 12c39b2..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/sshd.socket
+++ /dev/null
@@ -1,10 +0,0 @@
-[Unit]
-Conflicts=sshd.service
-
-[Socket]
-ExecStartPre=@BASE_BINDIR@/mkdir -p /var/run/sshd
-ListenStream=22
-Accept=yes
-
-[Install]
-WantedBy=sockets.target
diff --git a/recipes-connectivity/openssh/openssh/openssh/sshd@.service b/recipes-connectivity/openssh/openssh/openssh/sshd@.service
deleted file mode 100644
index bb2d68e..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/sshd@.service
+++ /dev/null
@@ -1,11 +0,0 @@
-[Unit]
-Description=OpenSSH Per-Connection Daemon
-Wants=sshdgenkeys.service
-After=sshdgenkeys.service
-
-[Service]
-ExecStart=-@SBINDIR@/sshd -i
-ExecReload=@BASE_BINDIR@/kill -HUP $MAINPID
-StandardInput=socket
-StandardError=syslog
-KillMode=process
diff --git a/recipes-connectivity/openssh/openssh/openssh/sshd_config b/recipes-connectivity/openssh/openssh/openssh/sshd_config
deleted file mode 100644
index d48bd2b..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/sshd_config
+++ /dev/null
@@ -1,133 +0,0 @@
-# $OpenBSD: sshd_config,v 1.80 2008/07/02 02:24:18 djm Exp $
-
-# This is the sshd server system-wide configuration file. See
-# sshd_config(5) for more information.
-
-# This sshd was compiled with PATH=/usr/bin:/bin:/usr/sbin:/sbin
-
-# The strategy used for options in the default sshd_config shipped with
-# OpenSSH is to specify options with their default value where
-# possible, but leave them commented. Uncommented options change a
-# default value.
-
-#Port 22
-#AddressFamily any
-#ListenAddress 0.0.0.0
-#ListenAddress ::
-
-# The default requires explicit activation of protocol 1
-Protocol 2
-
-# HostKey for protocol version 1
-#HostKey /etc/ssh/ssh_host_key
-# HostKeys for protocol version 2
-#HostKey /etc/ssh/ssh_host_rsa_key
-#HostKey /etc/ssh/ssh_host_dsa_key
-#HostKey /etc/ssh/ssh_host_ecdsa_key
-#HostKey /etc/ssh/ssh_host_ed25519_key
-
-# Lifetime and size of ephemeral version 1 server key
-#KeyRegenerationInterval 1h
-#ServerKeyBits 1024
-
-# Ciphers and keying
-#RekeyLimit default none
-
-# Logging
-# obsoletes QuietMode and FascistLogging
-#SyslogFacility AUTH
-#LogLevel INFO
-
-# Authentication:
-
-#LoginGraceTime 2m
-#PermitRootLogin yes
-#StrictModes yes
-#MaxAuthTries 6
-#MaxSessions 10
-
-#RSAAuthentication yes
-#PubkeyAuthentication yes
-
-# The default is to check both .ssh/authorized_keys and .ssh/authorized_keys2
-# but this is overridden so installations will only check .ssh/authorized_keys
-AuthorizedKeysFile .ssh/authorized_keys
-
-#AuthorizedPrincipalsFile none
-
-#AuthorizedKeysCommand none
-#AuthorizedKeysCommandUser nobody
-
-# For this to work you will also need host keys in /etc/ssh/ssh_known_hosts
-#RhostsRSAAuthentication no
-# similar for protocol version 2
-#HostbasedAuthentication no
-# Change to yes if you don't trust ~/.ssh/known_hosts for
-# RhostsRSAAuthentication and HostbasedAuthentication
-#IgnoreUserKnownHosts no
-# Don't read the user's ~/.rhosts and ~/.shosts files
-#IgnoreRhosts yes
-
-# To disable tunneled clear text passwords, change to no here!
-#PasswordAuthentication yes
-#PermitEmptyPasswords no
-
-# Change to no to disable s/key passwords
-ChallengeResponseAuthentication no
-
-# Kerberos options
-#KerberosAuthentication no
-#KerberosOrLocalPasswd yes
-#KerberosTicketCleanup yes
-#KerberosGetAFSToken no
-
-# GSSAPI options
-#GSSAPIAuthentication no
-#GSSAPICleanupCredentials yes
-
-# Set this to 'yes' to enable PAM authentication, account processing,
-# and session processing. If this is enabled, PAM authentication will
-# be allowed through the ChallengeResponseAuthentication and
-# PasswordAuthentication. Depending on your PAM configuration,
-# PAM authentication via ChallengeResponseAuthentication may bypass
-# the setting of "PermitRootLogin without-password".
-# If you just want the PAM account and session checks to run without
-# PAM authentication, then enable this but set PasswordAuthentication
-# and ChallengeResponseAuthentication to 'no'.
-#UsePAM no
-
-#AllowAgentForwarding yes
-#AllowTcpForwarding yes
-#GatewayPorts no
-#X11Forwarding no
-#X11DisplayOffset 10
-#X11UseLocalhost yes
-#PermitTTY yes
-#PrintMotd yes
-#PrintLastLog yes
-#TCPKeepAlive yes
-#UseLogin no
-UsePrivilegeSeparation sandbox # Default for new installations.
-#PermitUserEnvironment no
-Compression no
-ClientAliveInterval 15
-ClientAliveCountMax 4
-#UseDNS yes
-#PidFile /var/run/sshd.pid
-#MaxStartups 10:30:100
-#PermitTunnel no
-#ChrootDirectory none
-#VersionAddendum none
-
-# no default banner path
-#Banner none
-
-# override default of no subsystems
-Subsystem sftp /usr/libexec/sftp-server
-
-# Example of overriding settings on a per-user basis
-#Match User anoncvs
-# X11Forwarding no
-# AllowTcpForwarding no
-# PermitTTY no
-# ForceCommand cvs server
diff --git a/recipes-connectivity/openssh/openssh/openssh/sshdgenkeys.service b/recipes-connectivity/openssh/openssh/openssh/sshdgenkeys.service
deleted file mode 100644
index d65086f..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/sshdgenkeys.service
+++ /dev/null
@@ -1,11 +0,0 @@
-[Unit]
-Description=OpenSSH Key Generation
-ConditionPathExists=|!/etc/ssh/ssh_host_rsa_key
-ConditionPathExists=|!/etc/ssh/ssh_host_dsa_key
-ConditionPathExists=|!/etc/ssh/ssh_host_ecdsa_key
-ConditionPathExists=|!/etc/ssh/ssh_host_ed25519_key
-
-[Service]
-ExecStart=@BINDIR@/ssh-keygen -A
-Type=oneshot
-RemainAfterExit=yes
diff --git a/recipes-connectivity/openssh/openssh/openssh/volatiles.99_sshd b/recipes-connectivity/openssh/openssh/openssh/volatiles.99_sshd
deleted file mode 100644
index a0d2af3..0000000
--- a/recipes-connectivity/openssh/openssh/openssh/volatiles.99_sshd
+++ /dev/null
@@ -1,2 +0,0 @@
-d root root 0755 /var/run/sshd none
-f root root 0644 /var/log/lastlog none